package cn.ibizlab.core.sample.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.sample.domain.IBIZSample0001;
/**
 * 关系型数据实体[IBIZSample0001] 查询条件对象
 */
@Slf4j
@Data
public class IBIZSample0001SearchContext extends QueryWrapperContext<IBIZSample0001> {

	private Integer n_field13_eq;//[单项选择(数值)]
	public void setN_field13_eq(Integer n_field13_eq) {
        this.n_field13_eq = n_field13_eq;
        if(!ObjectUtils.isEmpty(this.n_field13_eq)){
            this.getSearchCond().eq("field13", n_field13_eq);
        }
    }
	private String n_field14_eq;//[单项选择(文本值)]
	public void setN_field14_eq(String n_field14_eq) {
        this.n_field14_eq = n_field14_eq;
        if(!ObjectUtils.isEmpty(this.n_field14_eq)){
            this.getSearchCond().eq("field14", n_field14_eq);
        }
    }
	private String n_ibizsample0001name_like;//[名称]
	public void setN_ibizsample0001name_like(String n_ibizsample0001name_like) {
        this.n_ibizsample0001name_like = n_ibizsample0001name_like;
        if(!ObjectUtils.isEmpty(this.n_ibizsample0001name_like)){
            this.getSearchCond().like("ibizsample0001name", n_ibizsample0001name_like);
        }
    }
	private String n_ibizsample0002id_eq;//[首页图表数据源标识]
	public void setN_ibizsample0002id_eq(String n_ibizsample0002id_eq) {
        this.n_ibizsample0002id_eq = n_ibizsample0002id_eq;
        if(!ObjectUtils.isEmpty(this.n_ibizsample0002id_eq)){
            this.getSearchCond().eq("ibizsample0002id", n_ibizsample0002id_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
    @Override
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("ibizsample0001name", query)   
            );
		 }
	}
}



